Loading...
Searching...
No Matches
globus_list.h File Reference

Linked List. More...

Go to the source code of this file.

## Data Structures

struct | globus_list
| List data type. More...

## Typedefs

typedef struct globus_list | globus_list_t
| List data type.
typedef int(* | globus_list_pred_t) (void *datum, void *arg)
| List search predicate.
typedef int(* | globus_list_relation_t) (void *low_datum, void *high_datum, void *relation_arg)
| Relation predicate.

## Functions

int | globus_list_empty (globus_list_t *head)
| List empty predicate.
void * | globus_list_first (globus_list_t *head)
| Retrieve head datum.
globus_list_t * | globus_list_rest (globus_list_t *head)
| Get the remainder of the list.
int | globus_list_size (globus_list_t *head)
| Get the number of elements in a list.
void * | globus_list_replace_first (globus_list_t *head, void *datum)
| Replace first datum.
globus_list_t * | globus_list_search (globus_list_t *head, void *datum)
| Search a list for a datum.
globus_list_t * | globus_list_search_pred (globus_list_t *head, globus_list_pred_t predicate, void *pred_args)
| Search a list with a predicate.
globus_list_t * | globus_list_min (globus_list_t *head, globus_list_relation_t relation, void *relation_args)
| Find the minimum value of a list.
globus_list_t * | globus_list_sort (globus_list_t *head, globus_list_relation_t relation, void *relation_args)
| Sort a list.
int | globus_list_insert (globus_list_t *volatile *headp, void *datum)
| Insert an item in a list.
globus_list_t * | globus_list_cons (void *datum, globus_list_t *list)
| List constructor.
globus_list_t * | globus_list_copy (globus_list_t *head)
| Copy constructor.
void * | globus_list_remove (globus_list_t *volatile *headp, globus_list_t *entry)
| Remove a datum from a list.
void | globus_list_free (globus_list_t *head)
| Free a list.

## Detailed Description

Linked List.